use time::OffsetDateTime;

#[cfg(target_arch = "wasm32")]
pub fn now_utc() -> OffsetDateTime {
    return OffsetDateTime::from_unix_timestamp_nanos((js_sys::Date::now() * 1_000_000f64) as i128)
        .expect("current time outside supported range");
}

#[cfg(not(target_arch = "wasm32"))]
#[inline(always)]
pub fn now_utc() -> OffsetDateTime {
    return OffsetDateTime::now_utc();
}
